MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024707Community[OCCT] OCCT:Samplespublic2014-03-10 14:262014-09-11 11:48
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024707: Problem building C# sample win VC 10
DescriptionThe problem is reported by the user MichaelBate on dev forum,
http://dev.opencascade.org/index.php?q=node/922 [^]

When VS projects (originally VC9) are converted to VC10, version of .NET framework in CSharp projects is kept as it is (3.5), while in C++ projects it gets elevated to 4.0 (default for VC10). This causes incompatibility between the projects.

The manual solution is to change option "Target framework" in properties of C# projects (tab "Application") to ".NET Framework 4".

This should be documented, or perhaps some better way to ensure smooth work of samples with different versions of VS exist.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0029127)
abv (manager)
2014-04-29 13:02

There seem to be no easy way to enforce same setting of Target Framework in C# and C++ projects when they are converted by Visual Studio from older versions. Hence manual correction is necessary, I have added corresponding paragraph to the sample description. Please review, branch CR24707.

- Related Changesets
occt: master 66fb4d9a
Timestamp: 2014-04-29 06:06:21
Author: abv
Committer: abv
Details ] Diff ]
0024707: Problem building C# sample win VC 10

Need to check and correct Target Framework in C# projects after conversion to new versions of Visual Studio described in the sample documentation
mod - samples/CSharp/ReadMe.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-10 14:26 abv New Issue
2014-03-10 14:26 abv Assigned To => bugmaster
2014-04-04 19:02 abv Assigned To bugmaster => abv
2014-04-04 19:02 abv Status new => assigned
2014-04-29 13:02 abv Note Added: 0029127
2014-04-29 13:02 abv Assigned To abv => ysn
2014-04-29 13:02 abv Status assigned => resolved
2014-05-05 17:24 abv Changeset attached => occt master 66fb4d9a
2014-05-05 17:24 abv Assigned To ysn => abv
2014-05-05 17:24 abv Status resolved => verified
2014-05-05 17:24 abv Resolution open => fixed
2014-09-11 11:48 bugmaster Status verified => closed
2014-09-11 11:48 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker